<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Добавление полей';
include_once '../sys/inc/thead.php';
title();
$opendiricon=opendir(H.'a/icons');
while ($icons=readdir($opendiricon))
{
if (preg_match('#^\.|default.png#',$icons))continue;
$icon[]=$icons;
}
closedir($opendiricon);
if (isset($_POST['add_pole']) && $_POST['name']!=NULL && $_POST['table_pole']!=NULL && $_POST['type_pole']!=NULL) 
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
$table_pole=esc(stripcslashes(htmlspecialchars($_POST['table_pole'])));
$type_pole=esc(stripcslashes(htmlspecialchars($_POST['type_pole'])));
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `create`"), 0)+1;
$icon=preg_replace('#[^A-zА-яЁе0-9 _\-\.]#i', null, $_POST['icon']);
mysql_query("INSERT INTO `create` (`name`, `table_pole`, `type_pole`, `type`, `pos`, `icon`) VALUES ('$name', '$table_pole', '$type_pole', 'pole', '$pos', '$icon')");
msg('Поле успешно добавлено.');
}
if (isset($_POST['add_razd']) && $_POST['name']!=NULL) 
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `create`"), 0)+1;
mysql_query("INSERT INTO `create` (`name`, `type`, `pos`) VALUES ('$name', 'razdel', '$pos')");
msg('Раздел успешно добавлен.');
}
if (isset($_POST['add_day']))
{
$icon=preg_replace('#[^A-zА-яЁе0-9 _\-\.]#i', null, $_POST['icon']);
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `create`"), 0)+1;
mysql_query("INSERT INTO `create` (`type`, `pos`, `icon`) VALUES ('day', '$pos', '$icon')");
mysql_query("UPDATE `create` SET `d` = '1' LIMIT 1");
msg('День Рождения успешно добавлен.');
}
if(isset($_GET['add_avatar']))
{
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `create`"), 0)+1;
mysql_query("INSERT INTO `create` (`type`, `pos`) VALUES ('avatar', '$pos')");
mysql_query("UPDATE `create` SET `a` = '1' LIMIT 1");
msg('Аватар успешно добавлен.');
}
if(isset($_POST['add_stat']))
{
$icon=preg_replace('#[^A-zА-яЁе0-9 _\-\.]#i', null, $_POST['icon']);
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `create`"), 0)+1;
mysql_query("INSERT INTO `create` (`type`, `pos`, `icon`) VALUES ('stat', '$pos', '$icon')");
mysql_query("UPDATE `create` SET `s` = '1' LIMIT 1");
msg('Аватар успешно добавлен.');
}
err();
aut();
if (isset($_GET['add_pole'])){
echo "<form class='menu' action='?add_pole' method=\"post\">";
?>
Название поля:<br>
<input type="text" name="name" value=""/><br>
Имя таблицы поля:<br>
<input type="text" name="table_pole" value=""/><br>
Тип таблицы:<br>
<select name="type_pole">
<option selected="selected" value="">Выберете тип</option>
<option value="text">Текстовый</option>
<option value="bigint">Числовой</option></select><br>
Иконка:<br>
<?
echo "<select name='icon'>";
echo "<option value='default.png'>По умолчанию</option>";
$icons=sizeof($icon);
for ($i=0;$i<$icons;$i++)
{
echo "<option value='$icon[$i]'>$icon[$i]</option>";
}
echo "</select><br>";
echo "<input class='submit' name='add_pole' type='submit' value='Добавить' /><br>";
echo "</form>";
}
if (isset($_GET['add_razd'])){
echo "<form class='menu' action='?add_razd' method=\"post\">";
echo "Название поля:<br>";
echo "<input type=\"text\" name=\"name\" value=\"\"/><br>";
echo "<input class='submit' name='add_razd' type='submit' value='Добавить' /><br>";
echo "</form>";
}
if (isset($_GET['add_day'])){
echo "<form class='menu' action='?add_day' method=\"post\">";
echo "Иконка:<br>";
echo "<select name='icon'>";
echo "<option value='default.png'>По умолчанию</option>";
for ($i=0;$i<sizeof($icon);$i++)
echo "<option value='$icon[$i]'>$icon[$i]</option>";
echo "</select><br>";
echo "<input class='submit' name='add_day' type='submit' value='Добавить' /><br>";
echo "</form>";
}
if (isset($_GET['add_stat'])){
echo "<form class='menu' action='?add_day' method=\"post\">";
echo "Иконка:<br>";
echo "<select name='icon'>";
echo "<option value='default.png'>По умолчанию</option>";
for ($i=0;$i<sizeof($icon);$i++)echo "<option value='$icon[$i]'>$icon[$i]</option>";
echo "</select><br>";
echo "<input class='submit' name='add_stat' type='submit' value='Добавить' /><br>";
echo "</form>";
}
echo "<div class='p_m'><img src='img/back.png'> <a href='index.php'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
?>